## obdgpslogger-0.11.tar.gz

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.4)

IF(COMMAND CMAKE_POLICY)
# Use old policy on ADD_DEFINITIONS and escaping
	CMAKE_POLICY(SET CMP0005 OLD)
# Use old policy to make mixing libraries with and without full paths ok
	CMAKE_POLICY(SET CMP0003 OLD)
ENDIF(COMMAND CMAKE_POLICY)

IF("${CMAKE_SYSTEM}" MATCHES "Linux")
	SET(LINUX TRUE)
ENDIF("${CMAKE_SYSTEM}" MATCHES "Linux")

PROJECT(OBDGPSLogger)

SET(OBDGPSLOGGER_MAJOR_VERSION 0)
SET(OBDGPSLOGGER_MINOR_VERSION 11)

ADD_DEFINITIONS("-DOBDGPSLOGGER_MAJOR_VERSION=${OBDGPSLOGGER_MAJOR_VERSION}")
ADD_DEFINITIONS("-DOBDGPSLOGGER_MINOR_VERSION=${OBDGPSLOGGER_MINOR_VERSION}")

# For now, assume the choices are "windows" or "posix"
IF("${CMAKE_SYSTEM}" MATCHES "Windows")
	ADD_DEFINITIONS(-DOBDPLATFORM_WINDOWS)
ELSE("${CMAKE_SYSTEM}" MATCHES "Windows")
	ADD_DEFINITIONS(-DOBDPLATFORM_POSIX)
ENDIF("${CMAKE_SYSTEM}" MATCHES "Windows")

# You probably don't want to change this
SET(OBD_CONFIG_FILENAME ".obdgpslogger")

# Default obd column names to capture
SET(OBD_DEFAULT_COLUMNS "temp,rpm,vss,maf,throttlepos" CACHE STRING "Default columns to log")

# This is the default serial port on my mac for my OBD Key
SET(OBD_DEFAULT_SERIALPORT "/dev/cu.OBDKeyPro-DevB-1" CACHE STRING "Default serial port filename")

# Only used by the UI when it launches GPSD, to add devices
SET(OBD_GPSD_CONTROL_SOCKET "/tmp/obd_gpsd_controlsock" CACHE STRING "GPSD Control Socket (Used by UI)")

# Only used by the UI when it launches GPSD, this is the default gps device
SET(OBD_DEFAULT_GPSPORT "/dev/usbserial" CACHE STRING "GPSD default device filename (Used by UI)")

# Only used by the UI when it launches GPSD, to kill it afterwards
SET(OBD_GPSD_PIDFILE "/tmp/obd_gpsd_pid" CACHE STRING "GPSD PID File (Used by UI)")

# obdftdipty saves the device in this file
SET(OBD_FTDIPTY_DEVICE "/var/run/obdftdipty.device" CACHE STRING "File used by ftdipty to describe /dev/pts entry")

SET(OBD_DISABLE_GUI false CACHE BOOL "Disable any UI modules")
IF(NOT OBD_DISABLE_GUI)
	FIND_PACKAGE(FLTK)
ENDIF(NOT OBD_DISABLE_GUI)

SET(OBD_DEFAULT_DATABASE "./obdgpslogger.db" CACHE STRING "Default database filename for all obdgpslogger modules")

SET(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${OBDGPSLogger_SOURCE_DIR}/cmakemodules")

SET(OBD_ENABLE_GPSD "ON" CACHE BOOL "Enable gps support using libgps")
FIND_PACKAGE(GPSD)
IF(OBD_ENABLE_GPSD)
	IF(GPSD_FOUND)
		INCLUDE_DIRECTORIES(${GPSD_INCLUDE_DIR})
		ADD_DEFINITIONS(-DHAVE_GPSD)
	ELSE(GPSD_FOUND)
		SET(OBD_ENABLE_GPSD "OFF" CACHE BOOL "Enable gps support using libgps" FORCE)
		MESSAGE(STATUS "Couldn't find libgps")
	ENDIF(GPSD_FOUND)
ENDIF(OBD_ENABLE_GPSD)

SET(OBD_ENABLE_DBUS "ON" CACHE BOOL "Enable dbus support")
FIND_PACKAGE(Dbus)
IF(OBD_ENABLE_DBUS)
	IF(DBUS_FOUND)
		INCLUDE_DIRECTORIES(${DBUS_INCLUDE_DIR})
		ADD_DEFINITIONS(-DHAVE_DBUS)
	ELSE(DBUS_FOUND)
		SET(OBD_ENABLE_DBUS "OFF" CACHE BOOL "Enable dbus support" FORCE)
		MESSAGE(STATUS "Couldn't find dbus")
	ENDIF(DBUS_FOUND)
ENDIF(OBD_ENABLE_DBUS)

CONFIGURE_FILE("${OBDGPSLogger_SOURCE_DIR}/src/obdconfig.h.cmake" "${OBDGPSLogger_BINARY_DIR}/obdconfig.h")
INCLUDE_DIRECTORIES("${OBDGPSLogger_BINARY_DIR}")

SET(EXECUTABLE_OUTPUT_PATH "${OBDGPSLogger_SOURCE_DIR}/bin")

SUBDIRS(
	libs
)

INCLUDE_DIRECTORIES(
	libs/sqlite3
	src/obdinfo/
	src/conf/
)

IF("${CMAKE_SYSTEM}" MATCHES "Windows")
	MESSAGE(STATUS "Logger and GUI modules not available on windows currently")
ELSE("${CMAKE_SYSTEM}" MATCHES "Windows")
	SUBDIRS(
		src/logger/
		src/gui/
	)
ENDIF("${CMAKE_SYSTEM}" MATCHES "Windows")

SUBDIRS(
	src/obdinfo/
	src/conf/
	src/kml/
	src/csv/
	src/sim/
	src/repair/
	src/ftdipty/
)


FILE(GLOB manfiles1 ${OBDGPSLogger_SOURCE_DIR}/man/man1/*.1)
INSTALL(FILES ${manfiles1} DESTINATION share/man/man1)
FILE(GLOB manfiles5 ${OBDGPSLogger_SOURCE_DIR}/man/man5/*.5)
INSTALL(FILES ${manfiles5} DESTINATION share/man/man5)


# And now, packaging...

# Common things to every type of package
SET(CPACK_PACKAGE_DESCRIPTION "Tools to log OBD and GPS data")
SET(CPACK_PACKAGE_NAME "OBDGPSLogger")
SET(CPACK_PACKAGE_EXECUTABLES "obdgui")
SET(CPACK_PACKAGE_VERSION_MAJOR ${OBDGPSLOGGER_MAJOR_VERSION})
SET(CPACK_PACKAGE_VERSION_MINOR ${OBDGPSLOGGER_MINOR_VERSION})
SET(CPACK_PACKAGE_VERSION "${OBDGPSLOGGER_MAJOR_VERSION}.${OBDGPSLOGGER_MINOR_VERSION}")
SET(CPACK_STRIP_FILES true)
SET(CPACK_PACKAGE_CONTACT "chunky@icculus.org")
SET(CPACK_RESOURCE_FILE_LICENSE "${OBDGPSLogger_SOURCE_DIR}/COPYING")


# Always build .tar.gz and .sh files
SET(CPACK_GENERATOR "STGZ;TGZ")


IF(APPLE)
	SET(CPACK_GENERATOR "${CPACK_GENERATOR};Bundle")
	SET(CPACK_BUNDLE_ICON "${OBDGPSLogger_SOURCE_DIR}/osx/BundleIcon.icns")
	SET(CPACK_BUNDLE_NAME "OBD GPS Logger")
	SET(CPACK_BUNDLE_PLIST "${OBDGPSLogger_SOURCE_DIR}/osx/Info.plist")
	SET(CPACK_BUNDLE_STARTUP_COMMAND "${OBDGPSLogger_SOURCE_DIR}/osx/StartupCommand")

	IF(GPSD_DAEMON)
		INSTALL(PROGRAMS ${GPSD_DAEMON}
				DESTINATION sbin/)
	ENDIF(GPSD_DAEMON)
ELSE(APPLE)

	# If we can find rpmbuild, then go for it
	FIND_PROGRAM(RPMBUILD_TEST rpmbuild INTERNAL)
	IF(RPMBUILD_TEST)
		SET(CPACK_GENERATOR "${CPACK_GENERATOR};RPM")
		SET(CPACK_RPM_PACKAGE_REQUIRES "gpsd >= 2.0")
		SET(CPACK_RPM_PACKAGE_LICENSE "GPLv2+")
	ENDIF(RPMBUILD_TEST)

	# If we can find dpkg, build a .deb
	#FIND_PROGRAM(DPKG_TEST dpkg INTERNAL)
	#IF(DPKG_TEST)
		SET(CPACK_GENERATOR "${CPACK_GENERATOR};DEB")
		SET(CPACK_DEBIAN_PACKAGE_DEPENDS "gpsd (>=2.0)")
		SET(CPACK_DEBIAN_PACKAGE_DESCRIPTION ${CPACK_PACKAGE_DESCRIPTION})
	#ENDIF(DPKG_TEST)

ENDIF(APPLE)


INCLUDE(CPack)

=== src/csv/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
	.
)

FILE(GLOB OBDCSV_SRCS
	*.c *.h
)

SET(OBDCSV_LIBS
	cksqlite
)

FIND_PACKAGE(ZLIB)
IF(ZLIB_FOUND)
	SET(OBDCSV_LIBS ${OBDCSV_LIBS} ${ZLIB_LIBRARIES})
	INCLUDE_DIRECTORIES(ZLIB_INCLUDE_DIR)
	ADD_DEFINITIONS(-DHAVE_ZLIB)
ELSE(ZLIB_FOUND)
	MESSAGE(STATUS "Couldn't find zlib. Will not compile gzip support in obd2csv")
ENDIF(ZLIB_FOUND)

IF("${CMAKE_SYSTEM}" MATCHES "Linux")
        SET(OBDCSV_LIBS ${OBDCSV_LIBS} pthread dl)
ENDIF("${CMAKE_SYSTEM}" MATCHES "Linux")

ADD_EXECUTABLE(obd2csv ${OBDCSV_SRCS})

TARGET_LINK_LIBRARIES(obd2csv ${OBDCSV_LIBS})

INSTALL(TARGETS obd2csv
	RUNTIME DESTINATION bin)

=== src/ftdipty/CMakeLists.txt ===
FIND_PACKAGE(libftdi)

IF(NOT LIBFTDI_FOUND)
	MESSAGE(STATUS "Couldn't find liftdi, required for building obdftdipty")
ENDIF(NOT LIBFTDI_FOUND)

IF(LIBFTDI_FOUND)
	INCLUDE_DIRECTORIES(
		${LIBFTDI_INCLUDE_DIR}
		.
	)

	FILE(GLOB OBDFTDIPTY_SRCS
		*.c *.h
	)

	SET(OBDFTDIPTY_LIBS
		${LIBFTDI_LIBRARY}
		ckobdconfigfile
		ckobdinfo
	)

	ADD_EXECUTABLE(obdftdipty ${OBDFTDIPTY_SRCS})

	TARGET_LINK_LIBRARIES(obdftdipty ${OBDFTDIPTY_LIBS})

	INSTALL(TARGETS obdftdipty
		RUNTIME DESTINATION bin)
ENDIF(LIBFTDI_FOUND)

=== src/kml/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
	.
)

FILE(GLOB OBDKML_SRCS
	*.c *.h
)

SET(OBDKML_LIBS
	cksqlite m
)

IF("${CMAKE_SYSTEM}" MATCHES "Linux")
        SET(OBDKML_LIBS ${OBDKML_LIBS} pthread dl)
ENDIF("${CMAKE_SYSTEM}" MATCHES "Linux")

ADD_EXECUTABLE(obd2kml ${OBDKML_SRCS})

TARGET_LINK_LIBRARIES(obd2kml ${OBDKML_LIBS})

INSTALL(TARGETS obd2kml
	RUNTIME DESTINATION bin)

=== src/logger/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
	.
	../obdinfo/
)

FILE(GLOB OBDLOGGER_SRCS
	*.c *.h
)

INCLUDE(CheckIncludeFiles)
INCLUDE(CheckSymbolExists)
CHECK_INCLUDE_FILES("signal.h" HAVE_SIGNAL_H)

IF(HAVE_SIGNAL_H)
	ADD_DEFINITIONS(-DHAVE_SIGNAL_H)
	CHECK_SYMBOL_EXISTS(sigaction "signal.h" HAVE_SIGACTION)
	CHECK_SYMBOL_EXISTS(signal "signal.h" HAVE_SIGNAL_FUNC)

	IF(HAVE_SIGACTION)
		ADD_DEFINITIONS(-DHAVE_SIGACTION)
	ELSE(HAVE_SIGACTION)
		IF(HAVE_SIGNAL_FUNC)
			ADD_DEFINITIONS(-DHAVE_SIGNAL_FUNC)
		ENDIF(HAVE_SIGNAL_FUNC)
	ENDIF(HAVE_SIGACTION)
ENDIF(HAVE_SIGNAL_H)



SET(OBDLOGGER_LIBS
	cksqlite
	ckobdconfigfile
	ckobdinfo
)

IF("${CMAKE_SYSTEM}" MATCHES "Linux")
	SET(OBDLOGGER_LIBS ${OBDLOGGER_LIBS} pthread dl)
ENDIF("${CMAKE_SYSTEM}" MATCHES "Linux")

IF(OBD_ENABLE_GPSD)
	SET(OBDLOGGER_LIBS ${OBDLOGGER_LIBS} ${GPSD_LIBRARY})
ENDIF(OBD_ENABLE_GPSD)

IF(OBD_ENABLE_DBUS)
	SET(OBDLOGGER_LIBS ${OBDLOGGER_LIBS} ${DBUS_LIBRARY})
ENDIF(OBD_ENABLE_DBUS)

ADD_EXECUTABLE(obdgpslogger ${OBDLOGGER_SRCS})

TARGET_LINK_LIBRARIES(obdgpslogger ${OBDLOGGER_LIBS})

INSTALL(TARGETS obdgpslogger
	RUNTIME DESTINATION bin)

=== src/repair/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
	.
)

FILE(GLOB OBDREPAIR_SRCS
	*.c *.h
)

SET(OBDREPAIR_LIBS
	cksqlite
)

IF("${CMAKE_SYSTEM}" MATCHES "Linux")
        SET(OBDREPAIR_LIBS ${OBDREPAIR_LIBS} pthread dl)
ENDIF("${CMAKE_SYSTEM}" MATCHES "Linux")

ADD_EXECUTABLE(obdlogrepair ${OBDREPAIR_SRCS})

TARGET_LINK_LIBRARIES(obdlogrepair ${OBDREPAIR_LIBS})

INSTALL(TARGETS obdlogrepair
	RUNTIME DESTINATION bin)

=== src/sim/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
	.
	../obdinfo/
)

FILE(GLOB GENERATOR_INCLUDES
	generators/*/CMakeInclude.cmake)
FOREACH(GENERATOR_INCLUDE ${GENERATOR_INCLUDES})
	INCLUDE(${GENERATOR_INCLUDE})
ENDFOREACH(GENERATOR_INCLUDE ${GENERATOR_INCLUDES})


INCLUDE(CheckSymbolExists)
INCLUDE(CheckFunctionExists)
CHECK_FUNCTION_EXISTS(ptsname_r HAVE_PTSNAME_R)
IF(HAVE_PTSNAME_R)
	ADD_DEFINITIONS(-DHAVE_PTSNAME_R)
ENDIF(HAVE_PTSNAME_R)

CHECK_FUNCTION_EXISTS(posix_openpt HAVE_POSIX_OPENPT)
IF(HAVE_POSIX_OPENPT)
	ADD_DEFINITIONS(-DHAVE_POSIX_OPENPT)
ENDIF(HAVE_POSIX_OPENPT)

CHECK_FUNCTION_EXISTS(gettimeofday HAVE_GETTIMEOFDAY)
IF(HAVE_GETTIMEOFDAY)
	ADD_DEFINITIONS(-DAVE_GETTIMEOFDAY)
ENDIF(HAVE_GETTIMEOFDAY)

SET(OBDSIM_POSIXSRCS
	posixsimport.cc
	posixsimport.h
)

SET(OBDSIM_WINDOWSSRCS
	windowssimport.cc
	windowssimport.h
)

SET(OBDSIM_SRCS
	datasource.h
	obdsim.cc
	obdsim.h
	simport.cc
	simport.h
)

# For now, assume the choices are "windows" or "posix"
IF("${CMAKE_SYSTEM}" MATCHES "Windows")
	SET(OBDSIM_SRCS ${OBDSIM_SRCS} ${OBDSIM_WINDOWSSRCS})
	SET(OBDSIM_LIBS ${OBDSIM_LIBS} wsock32)
ELSE("${CMAKE_SYSTEM}" MATCHES "Windows")
	SET(OBDSIM_SRCS ${OBDSIM_SRCS} ${OBDSIM_POSIXSRCS})
	SET(OBDSIM_LIBS ${OBDSIM_LIBS} pthread dl)
ENDIF("${CMAKE_SYSTEM}" MATCHES "Windows")

SET(OBDSIM_LIBS
	${OBDSIM_LIBS}
	ckobdinfo ckobdconfigfile
	${GENERATOR_LIBS}
)

ADD_EXECUTABLE(obdsim ${OBDSIM_SRCS})

TARGET_LINK_LIBRARIES(obdsim ${OBDSIM_LIBS})

INSTALL(TARGETS obdsim
	RUNTIME DESTINATION bin)

=== debian/changelog ===
obdgpslogger (0.10-1) karmic; urgency=low

  * New upstream version.

 -- Gary Briggs <chunky@icculus.org>  Mon, 05 Oct 2009 19:00:40 -0700

obdgpslogger (0.8-1) karmic; urgency=low

  * Initial release 

 -- Kevron Rees <tripzero@nextabyte.com>  Fri, 04 Sep 2009 20:50:40 -0700

=== debian/control ===
Source: obdgpslogger
Section: unknown
Priority: extra
Maintainer: Gary Briggs <chunky@icculus.org>
Build-Depends: debhelper (>= 7), cmake (>= 2.6), libdbus-1-dev, libfltk1.1-dev, fluid, libgps17
Standards-Version: 3.8.1
Homepage: http://icculus.org/obdgpslogger

Package: obdgpslogger
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Suite of tools to log OBDII and GPS data
 Group of tools to log OBDII and GPS data from your car. Other tools in the package can export from those logfiles to CSV or google earth, and include an OBDII Simulator

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





builddir/Makefile:
	dh_testdir
	# Add here commands to configure the package.
	mkdir -p builddir
	cd builddir && cmake .. -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_C_FLAGS="$(CFLAGS)" -DCMAKE_LD_FLAGS="-Wl,-z,defs" -DCMAKE_CXX_FLAGS="$(CXXFLAGS)" -DCMAKE_SKIP_RPATH=ON -DCMAKE_VERBOSE_MAKEFILE=ON


build: build-stamp

build-stamp:  builddir/Makefile 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) -C builddir
	#docbook-to-man debian/obdgpslogger.sgml > obdgpslogger.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	rm -rf builddir


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs

	# Add here commands to install the package into debian/obdgpslogger.
	$(MAKE) -C builddir DESTDIR=$(CURDIR)/debian/obdgpslogger install


# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
